Package Details: python-rasterio 1.3a2-1

Git Clone URL: https://aur.archlinux.org/python-rasterio.git (read-only, click to copy)
Package Base: python-rasterio
Description: Rasterio reads and writes geospatial raster datasets
Upstream URL: https://github.com/rasterio/rasterio
Licenses: custom
Submitter: lazyboy
Maintainer: carlosal1015
Last Packager: carlosal1015
Votes: 3
Popularity: 0.97
First Submitted: 2017-01-28 16:54
Last Updated: 2021-11-27 02:30

Latest Comments

simon04 commented on 2021-06-21 19:57

@XavierCLL, thank you for the pointer. Done in 1.2.4-2.

XavierCLL commented on 2021-06-16 01:11

Hi Simon, please add python-certifi to depends it is necessary for some rasterio commands such as rio, see more: https://github.com/mapbox/rasterio/blob/master/setup.py#L257

juseg commented on 2019-07-10 07:53

The error shows on my system too, but the real issue is that Rasterio is not yet compatible with GDAL 3. After downgrade to GDAL<3 the build works (without build_ext). See the later comments on https://github.com/mapbox/rasterio/issues/1711.

steinbuch commented on 2019-06-25 14:46

Dear Simon, there is an issue:

INFO:root:MANIFEST.in found, presume a repo, cythonizing... Traceback (most recent call last): File "setup.py", line 292, in <module> quiet=True, **cythonize_options) File "/usr/lib/python3.7/site-packages/Cython/Build/Dependencies.py", line 967, in cythonize aliases=aliases) File "/usr/lib/python3.7/site-packages/Cython/Build/Dependencies.py", line 812, in create_extension_list for file in nonempty(sorted(extended_iglob(filepattern)), "'%s' doesn't match any files" % filepattern): File "/usr/lib/python3.7/site-packages/Cython/Build/Dependencies.py", line 111, in nonempty raise ValueError(error_msg) ValueError: 'rasterio/_shim.pyx' doesn't match any files

https://github.com/mapbox/rasterio/issues/1711 says to add a "python setup.py build_ext" step

adsun commented on 2018-12-21 21:41

Please update .SRCINFO